# FAQ

<details>

<summary>Where can I find a list of environment variables that Instruqt injects?</summary>

You can find the available environment variables at `/etc/profile.d/instruqt-env.sh`

</details>

<details>

<summary>Why are my process being killed randomly?</summary>

This is usually caused by your container or virtual machine running out of memory. Try increasing the memory and running your process again.

</details>

<details>

<summary>Why isn't my service tab connecting to an HTTPS server?</summary>

To use services running on HTTPS (including self-signed certificates), use a port that *ends with* `443`. For example, you could use port 8443.

</details>

<details>

<summary>Why is my track log showing SSH connection errors?</summary>

While the sandbox hosts are starting up, the Instruqt platform tries to make an SSH connection. You will see this in the logs:

`Retrying SSH connection until it is available: ssh: handshake failed`

This is expected behavior and it should not last more than 10-20 seconds until a connection is made.

</details>

<details>

<summary>Why isn't my Custom Compute Engine machine image working?</summary>

The [track logs](/tracks/manage/viewing-logs.md) show the cause, but most likely this is a permissions error as our service account [needs access](/sandboxes/hosts/create-a-custom-vm-image.md#step-4-grant-permissions-to-instruqt) to use your machine image.&#x20;

</details>

<details>

<summary>Why isn't my container starting?</summary>

Container images built using *podman* or *buildah* might not work properly. Sometimes tracks using those images won't start, and `instruqt track logs` shows a message like this one:&#x20;

`2020-12-04T12:50:31Z bii3rgpaqgcr INFO: module.hostname.kubernetes_deployment.deployment: Still creating... [1m0s elapsed]`

To resolve this issue, use the option `--format=docker` to push to the registry. The underlying problem is that the mediaType in the container image is not set properly, causing the Kubernetes pod to fail with the following error:&#x20;

`Error response from deamon: mediaType in manifest should be 'application/vnd.docker.distribution.manifest.v2+json' not ''`

</details>

{% hint style="info" %}
Do you still have questions? [Join our Slack ](https://join.slack.com/t/instruqt/shared_invite/zt-snkgsuwz-uhNDkG1ItdvGgMXj6ML8jg)and let us know how we can help you!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.instruqt.com/resources/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
